WordPress.org

Support

Support » Plugins and Hacks » iThemes Security (formerly Better WP Security) » [Plugin: Better WP Security] Updating to plugin v 3.1 caused fatal error

[Plugin: Better WP Security] Updating to plugin v 3.1 caused fatal error

  • Upgrading to version 3.1 of Better WP Security made my site inaccessible, rendering this error msg:

    Fatal error: Call to undefined function wp() in /wp-blog-header.php on line 14

    The reason was that the plugin had seriously messed up my wp-config.php file by changing the encoding.

    My advice to all of you is to have a copy of wp-config.php in a safe place before updating or edit the permission of wp-config.php so that it can’t be changed by plugins.

    My previous update of this plugin caused http 500 errors wich could only be fixed by removing the .htaccess file.

    This makes me wonder why my site keeps breaking when updating BWPS.

    http://wordpress.org/extend/plugins/better-wp-security/

  • The topic ‘[Plugin: Better WP Security] Updating to plugin v 3.1 caused fatal error’ is closed to new replies.
Skip to toolbar